#
# spec file for package perl-Fuse
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Fuse
Summary:        Write filesystems in Perl using FUSE
License:        GPL-1.0+ or Artistic-1.0
Group:          Development/Libraries/Perl
Version:        0.16.1
Release:        1.35
Url:            http://search.cpan.org/dist/Fuse/
Source:         http://www.cpan.org/modules/by-module/Fuse/DPATES/Fuse-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  fuse-devel
BuildRequires:  fuse-devel-static
BuildRequires:  module-init-tools
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  pkg-config
BuildRequires:  sudo
#BuildRequires:  perl-Filesys::Statvfs, perl-File-lchown, perl-Unix-Mknod
Requires:       perl = %{perl_version}, fuse

%description
This lets you implement filesystems in perl, through the FUSE (Filesystem
in USErspace) kernel/lib interface.

%prep
%setup -q -n Fuse-%{version}

find . -type f -name '*.pm' -exec %__chmod 0644 {} \;

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
%{__make} %{?_smp_mflags}

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.files
%defattr(-,root,root,-)
%doc AUTHORS Changes README

%changelog
* Sun Aug 28 2011 vova@cpan.org
- update to 0.14 and 0.13:
  * restored non-threaded perl support
  * Compatibility fixes for Perl 5.8 and Perl 5.13/5.14 with threads
  * Cleanups to build system, to use pkg-config
* Sun May 22 2011 pascal.bleser@opensuse.org
- update to 0.12:
  * really fix 2+ Gb file bug, RT#32639, RT#33903
  * addition of file handles on open files, RT#57517
  * 64 bit perl support
  * make static callbacks thread-safe
  * readdir implementation RT#55953
  * mount option -o big_writes, and added:
    opendir, releasedir, fsyncdir, init, destroy, access, create, ftruncate,
    fgetattr, lock, utimens, bmap
* Mon Nov 29 2010 coolo@novell.com
- called spec2changelog
* Fri Apr 23 2010 vova@cpan.org
- initial package created by cpanspec -m
